
#include <WFX/renderer/Viewport.h>
//#include <WFX/renderer/RenderTarget.h>

using namespace WFX;
using namespace WFX::renderer;

Viewport::Viewport(Real t, Real l, Real w, Real h) : Bottom(t), Left(l), Width(w), Height(h) {
}

void Viewport::printDebug() {
    LOG("Viewport:");
    LOG("Left: " << Left << " Bottom: << " << Bottom << " Width: " << Width << " Height: " << Height);
    LOG("ActLeft: " << ActLeft << " ActBottom: " << ActBottom << " ActWidth: " << ActWidth << " ActHeight: " << ActHeight);
}



